
<html lang="fi">
    <head>
      <meta charset="UTF-8" />
      <title>Puhelinluettelo</title>
  
      <!-- INCLUDING JQUERY-->
      <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
  
      <!-- CSS FOR STYLING THE PAGE -->
      <style>
        h1 {
            text-align: center;
        }
        table, th {
            margin: auto;
            border: 2px solid gray;
        }
        th {
            background-color: lightyellow;
            padding: 10px;
        }
        .column {
            background-color: white;
        }
      </style>
    </head>
  
    <body>
      <section>
        <h1>Puhelinluettelo</h1>
  
        <!-- TABLE CONSTRUCTION-->
        <table id="table">
          <!-- HEADING FORMATION -->
          <tr>
            <th class="column">Nimi</th>
            <th class="column">Puhelin</th>
          </tr>
        </table>

        <script>
            $(document).ready(function () { 
                // FETCHING DATA FROM JSON FILE 
                $.getJSON("http://localhost:3000/users",  
                function (data) { 
                    $.each(data, function(i, obj) {
                        $("table").append(" <tr> <th>" + obj.nimi + "</th> <th>" + obj.puhelin + "</th> </tr>.");
                    });
                });
            });
        </script>
      </section>
    </body>
  </html>
  